<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for FolderSearch StructType
 * @subpackage Structs
 */
class FolderSearch extends SearchRecord
{
    /**
     * The basic
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\FolderSearchBasic
     */
    public $basic;
    /**
     * The fileJoin
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\FileSearchBasic
     */
    public $fileJoin;
    /**
     * The userJoin
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\EmployeeSearchBasic
     */
    public $userJoin;
    /**
     * Constructor method for FolderSearch
     * @uses FolderSearch::setBasic()
     * @uses FolderSearch::setFileJoin()
     * @uses FolderSearch::setUserJoin()
     * @param \StructType\FolderSearchBasic $basic
     * @param \StructType\FileSearchBasic $fileJoin
     * @param \StructType\EmployeeSearchBasic $userJoin
     */
    public function __construct(\StructType\FolderSearchBasic $basic = null, \StructType\FileSearchBasic $fileJoin = null, \StructType\EmployeeSearchBasic $userJoin = null)
    {
        $this
            ->setBasic($basic)
            ->setFileJoin($fileJoin)
            ->setUserJoin($userJoin);
    }
    /**
     * Get basic value
     * @return \StructType\FolderSearchBasic|null
     */
    public function getBasic()
    {
        return $this->basic;
    }
    /**
     * Set basic value
     * @param \StructType\FolderSearchBasic $basic
     * @return \StructType\FolderSearch
     */
    public function setBasic(\StructType\FolderSearchBasic $basic = null)
    {
        $this->basic = $basic;
        return $this;
    }
    /**
     * Get fileJoin value
     * @return \StructType\FileSearchBasic|null
     */
    public function getFileJoin()
    {
        return $this->fileJoin;
    }
    /**
     * Set fileJoin value
     * @param \StructType\FileSearchBasic $fileJoin
     * @return \StructType\FolderSearch
     */
    public function setFileJoin(\StructType\FileSearchBasic $fileJoin = null)
    {
        $this->fileJoin = $fileJoin;
        return $this;
    }
    /**
     * Get userJoin value
     * @return \StructType\EmployeeSearchBasic|null
     */
    public function getUserJoin()
    {
        return $this->userJoin;
    }
    /**
     * Set userJoin value
     * @param \StructType\EmployeeSearchBasic $userJoin
     * @return \StructType\FolderSearch
     */
    public function setUserJoin(\StructType\EmployeeSearchBasic $userJoin = null)
    {
        $this->userJoin = $userJoin;
        return $this;
    }
}
